%global momorel 3
%global kaffeine_mozver 0.2
%global mozver 1.7.6
%global moz_plugindir %{_libdir}/mozilla/plugins
%global xinever 1.0
%global artsver 1.3.2
%global qtver 3.3.3
%global kdever 3.3.2
%global kderel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: A xine-based Media Player for KDE3
Name: kaffeine
Version: 0.6
Release: %{momorel}m
License: GPL
URL: http://kaffeine.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/kaffeine/%{name}-%{version}.tar.bz2 7412abf5f646a0fd62ac5ad3dba80ab2
%NoSource 1 http://jaist.dl.sourceforge.net/sourceforge/kaffeine/%{name}-mozilla-%{kaffeine_mozver}.tar.bz2 c7bb24cbd20fdfeffbb0da452533cac4
Patch1: %{name}-0.5-fix-copy-desktop-file.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xine-lib >= %{xinever}, qt >= %{qtver}, kdelibs >= %{kdever}
BuildPreReq: xine-lib >= %{xinever}, qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kderel}, arts-devel >= %{artsver}
BuildPreReq: gettext, libart_lgpl-devel
BuildPreReq: libpng-devel, libjpeg-devel
BuildPreReq: xorg-x11-devel, zlib-devel
BuildPreReq: desktop-file-utils

%description
Kaffeine is a xine-based Media Player for KDE3.

%package mozilla-plugin
Summary: A Mozilla plugin using kaffeine for audio/video playback.
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: mozilla

%description mozilla-plugin
kaffeine-mozilla-plugin provides multimedia capabilities to Mozilla
or compatible browsers using kaffeine.

%prep
%setup -q -b 1

%patch1 -p1 -b .fix-copy-desktop-file

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--disable-debug \
	--disable-warnings

%make

# build mozilla-plugin
cd %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}

CFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install mozilla-plugin
cd %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_libdir}/kaffeineplugin
mv %{buildroot}%{_prefix}/plugins/* %{buildroot}%{_libdir}/kaffeineplugin/
rm -rf %{buildroot}%{_prefix}/plugins
mkdir -p %{buildroot}%{moz_plugindir}
ln -sf ../../kaffeineplugin/kaffeineplugin.so %{buildroot}%{moz_plugindir}/kaffeineplugin.so

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kaffeine.png %{buildroot}%{_datadir}/pixmaps/kaffeine.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Multimedia/kaffeine.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING CREDITS ChangeLog INSTALL README* TODO
%{_bindir}/kaffeine
%{_includedir}/kaffeine
%{_libdir}/kde3/libkaffeinepart.la
%{_libdir}/kde3/libkaffeinepart.so
%{_libdir}/libkmediapart.la
%{_libdir}/libkmediapart.so*
%{_datadir}/applications/kde/kaffeine.desktop
%{_datadir}/apps/kaffeine
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/profiles/kaffeine.profile.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/doc/HTML/*/kaffeine
%{_datadir}/locale/*/LC_MESSAGES/kaffeine.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/kaffeine.png
%{_datadir}/services/kaffeine_part.desktop
%{_mandir}/de/man1/kaffeine.1*
%{_mandir}/man1/kaffeine.1*

%files mozilla-plugin
%defattr(-,root,root)
%{_libdir}/kaffeineplugin
%{moz_plugindir}/kaffeineplugin.so

%changelog
* Fri Mar 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-3m)
- mozilla-plugin Requires: mozilla = %%{mozver} -> mozilla

* Thu Mar 24 2005 Toru Hoshina <t@momonga-linux.org>
- (0.6-2m)
- rebuild against mozilla-1.7.6
- install to {_libdir}/mozilla/plugins.

* Mon Mar 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-1m)
- version 0.6

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.5-3m)
- enable x86_64.

* Sat Dec 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- rebuild against mozilla-1.7.5

* Fri Dec 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- version 0.5
- remove kaffeine-0.5-first-run-wizard.patch
- add kaffeine-0.5-fix-copy-desktop-file.patch
- BuildPreReq: XFree86-devel -> xorg-x11-devel

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-0.2.1m)
- update to 0.5-rc2
- update first-run-wizard.patch

* Tue Oct  5 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-0.1.1m)
- update to version 0.5-rc1
- update first-run-wizard.patch
- remove kaffeine-0.4.3b-m3u.patch.bz2

* Fri Oct  1 2004 Hiroyuki koga <kuma@momonga-linux.org>
- (0.4.3b-5m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Oct  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-4m)
- remove createDesktopIcon from first-run wizard

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-3m)
- rebuild against KDE 3.3.0
- move desktop file from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils
- add %%{_datadir}/pixmaps/kaffeine.png for GNOME

* Thu Sep 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-2m)
- rebuild against mozilla-1.7.3

* Sun Aug 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-1m)
- update to 0.4.3b
- import kaffeine-0.4.3b-m3u.patch.bz2 from cooker
- add man files
- add %%post and %%postun sections
- BuildPreReq: XFree86-devel, zlib-devel
- add a package kaffeine-mozilla-plugin
- change URL
- s/%%define/%%global/g

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.1-2m)
- revised spec for enabling rpm 4.2.

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1
- rebuild against KDE 3.2.0

* Sat Jan 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.0-1m)
- ver up to 0.4.0

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.2-4m)
- rebuild against for qt-3.2.2

* Thu Sep 25 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-3m)
- clean up specfile
- use ./configure
- add --disable-debug flag

* Mon Sep  1 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-2m)
- revise %%files section

* Sun Aug 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- import from Suzuka

* Wed Aug 13 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- added ja.po.

* Tue Aug 12 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- First build.
